<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

Core package for my personal projects purpose that provides some reusable widgets, text, extensions and utils, etc.

## Features

- Common exception classes
- Models such as generic type `NetworkResult`, `PaginatedData` and other some usable DTO models.
- `VimeoService` for getting playable vimeo video urls from vimeo id.
- `YoutubeService` for getting playable youtube video links from youtube url or id.
- ApiHelpers, DateTimeHelpers, DialogHelpers, ImageHelpers, YoutubeHelpers, SharedPrefsHelpers, UrlLauncherHelpers and other usable extensions.
- Badges, State button, Date, Dialog, Image, Loading, Modal, Placeholder, TextField and other usable widgets.

## Getting started

See [https://pub.dev/packages/url_launcher](https://pub.dev/packages/url_launcher) for some configuration needed for `url_launcher`.

## Usage

```dart
import 'package:smf_core/smf_core.dart';
```

## Additional information

This package is developed for my personal projects purpose. You can also use them for free.

Happy Coding!

Github repository link is [here](https://github.com/mixin27/smf-core) for this package.
